Authorisation
All endpoints are secured and require authentication via a Bearer token. You must include your API key in the
Authorization header of every request you make. You can create API tokens in your settings page.Headers
Authorization: Bearer REPLACE_WITH_API_TOKEN
Content-Type: application/json
Accept: application/json
Code Examples
import requests
url = "https://api.provero.io/api/user"
headers = {
"Authorization": "Bearer REPLACE_WITH_API_TOKEN",
"Content-Type": "application/json"
"Accept": "application/json"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.text)
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.provero.io/api/user",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer REPLACE_WITH_API_TOKEN",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
$response = Http::withToken('REPLACE_WITH_API_TOKEN')
->acceptJson()
->get('https://api.provero.io/api/user');
return $response->json();
const headers = new Headers();
headers.append("Authorization", "Bearer REPLACE_WITH_API_TOKEN");
headers.append("Content-Type", "application/json");
headers.append("Accept", "application/json");
fetch("https://api.provero.io/api/user", {
method: "GET",
headers: headers,
})
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.error("Error:", error));
curl -X GET https://api.provero.io/api/user \
-H "Authorization: Bearer REPLACE_WITH_API_TOKEN" \
-H "Content-Type: application/json"
Response Examples
Error – Missing or Invalid Token
{
"error": {
"code": "401",
"message": "Unauthenticated. Please provide a valid API key."
}
}
Response Body
Error structure
| Field Name | Type | Example | Always Present | Description |
|---|---|---|---|---|
error.code |
string |
401 | Yes | HTTP status code for the error. |
error.message |
string |
Unauthenticated. Please provide a valid API key. | Yes | A message describing why authentication failed. |